Bug 1231040 - gf_log_callingfn's output make me dizzy
Summary: gf_log_callingfn's output make me dizzy
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: GlusterFS
Classification: Community
Component: logging
Version: mainline
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Ravishankar N
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-12 05:26 UTC by Ravishankar N
Modified: 2015-07-29 15:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-29 15:11:00 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Ravishankar N 2015-06-12 05:26:39 UTC
Description of problem:

I am finding it difficult to decipher the backtrace generated by gf_log_callingfn which prints everything in one line:

[2015-06-11 13:43:05.060464] W [dict.c:499:dict_ref] (--> /usr/local/lib/libglusterfs.so.0(_gf_log_callingfn+0x218)[0x7fcaa9fe9d4a] (--> /usr/loc    al/lib/libglusterfs.so.0(dict_ref+0x44)[0x7fcaa9fe15d1] (--> /usr/local/lib/libglusterfs.so.0(syncop_getxattr_cbk+0x54)[0x7fcaaa03d5c8] (--> /usr    /local/lib/glusterfs/3.6.4beta1/xlator/cluster/replicate.so(afr_get_heal_info+0x2b9)[0x7fca9c8c64d9] (--> /usr/local/lib/glusterfs/3.6.4beta1/xla    tor/cluster/replicate.so(afr_getxattr+0x45b)[0x7fca9c883542] ))))) 0-dict: dict is NULL


Expected results:
A back trace should look like a back trace, with one function per line.


Additional info:
The feeling is like staring into this image for a long time: http://commons.wikimedia.org/wiki/File:Peripheral_drift_illusion_rotating_snakes.svg

Comment 1 Anand Avati 2015-06-15 05:27:50 UTC
REVIEW: http://review.gluster.org/11217 (libglusterfs: pretty print gf_log_callingfn) posted (#1) for review on master by Ravishankar N (ravishankar@redhat.com)

Comment 2 Anand Avati 2015-07-22 06:04:33 UTC
REVIEW: http://review.gluster.org/11217 (libglusterfs: pretty print gf_log_callingfn) posted (#2) for review on master by Ravishankar N (ravishankar@redhat.com)

Comment 3 Ravishankar N 2015-07-29 15:11:00 UTC
Please see patch for review comments/ links to  discussion on mailing list.


Note You need to log in before you can comment on or make changes to this bug.